/* ------------------------------------------------------------------------------------------------ */
/* FILE :        sio8051.c																			*/
/*																									*/
/* CONTENTS :																						*/
/*               Abassi BSP: UART driver for 8051													*/
/*																									*/
/*																									*/
/* Copyright (c) 2011, Code-Time Technologies Inc. All rights reserved.								*/
/*																									*/
/* Code-Time Technologies retains all right, title, and interest in and to this work				*/
/*																									*/
/* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS							*/
/* OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF										*/
/* MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL							*/
/* THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR								*/
/* OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,							*/
/* ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR							*/
/* OTHER DEALINGS IN THE SOFTWARE.																	*/
/*																									*/
/*																									*/
/*	$Revision: 1.4 $																				*/
/*	$Date: 2011/10/13 19:56:58 $																	*/
/*																									*/
/* ------------------------------------------------------------------------------------------------ */

#ifndef _SIO51_H_
#define _SIO51_H_

#include <stdio.h>

#if defined(__KEIL__) && defined(__C51__)
  #include <reg52.h>
  #define __near
  #define __bit bit
  sbit CTS_PIN = P3^5;
  sbit DTR_PIN = P3^3;
#elif defined(SDCC_mcs51)
  #include <8051.h>
  #define CTS_PIN P3_5								/* CTS pin (output)								*/
  #define DTR_PIN P3_3								/* DTR pin (input)								*/
#endif

extern int  GetKey(void) reentrant;
extern void HWIsio8051(void) reentrant;
extern void Sio8051Init(int BaudRate, int UseISR, int Timer, int Prio);

extern volatile __bit G_SerialWait4room;
extern volatile __bit G_Sio8051UseCTS;

#endif

/* EOF */
